	.XLIST
;Include file for AMCCDIAG

;PCI function values
PCI_FUNC_ID          equ 0b1h
FIND_PCI_BIOS        equ 01h
FIND_PCI_DEV         equ 02h
FIND_PCI_CLASS_CODE  equ 03h
GENERATE_SPEC_CYCLE  equ 06h
READ_CONFIG_BYTE     equ 08h
READ_CONFIG_WORD     equ 09h
READ_CONFIG_DWORD    equ 0ah
WRITE_CONFIG_BYTE    equ 0bh
WRITE_CONFIG_WORD    equ 0ch
WRITE_CONFIG_DWORD   equ 0dh
TEST_PCICMD	     equ 0347h

;Return Codes for PCI BIOS calls
SUCCESS     equ 00h
FAILURE     equ 01h
BAD_VNDR_ID equ 83h
DEV_NOT_FND equ 86h
BAD_REG_NUM equ 87h



;Configuration register offsets
;reg_offsets
VID_ADDR    equ 00h
DID_ADDR    equ 02h
CMD_ADDR    equ 04h
STS_ADDR    equ 06h
RID_ADDR    equ 08h
CLCD_ADDR   equ 09h
CALN_ADDR   equ 0ch
LAT_ADDR    equ 0dh
HDR_ADDR    equ 0eh
BIST_ADDR   equ 0fh
BADR0_ADDR  equ 10h
BADR1_ADDR  equ 14h
BADR2_ADDR  equ 18h
BADR3_ADDR  equ 1ch
BADR4_ADDR  equ 20h
BADR5_ADDR  equ 24h
EXROM_ADDR  equ 30h
INTLN_ADDR  equ 3ch
INTPIN_ADDR equ 3dh
MINGNT_ADDR equ 3eh
MAXLAT_ADDR equ 3fh

;Operation register offsets
OMB1_ADDR   equ 00h
OMB2_ADDR   equ 04h
OMB3_ADDR   equ 08h
OMB4_ADDR   equ 0ch
IMB1_ADDR   equ 10h
IMB2_ADDR   equ 14h
IMB3_ADDR   equ 18h
IMB4_ADDR   equ 1ch
FIFO_ADDR   equ 20h
MWAR_ADDR   equ 24h
MWTCR_ADDR  equ 28h
MRAR_ADDR   equ 2ch
MRTCR_ADDR  equ 30h
MBEF_ADDR   equ 34h
INTCSR_ADDR equ 38h
BMCSR_ADDR  equ 3ch

;Add-on interface operation registers
ADDON_ADDR equ 0300h
AIMB1    equ 300h
AIMB2    equ 304h
AIMB3    equ 308h
AIMB4    equ 30ch
AOMB1    equ 310h
AOMB2    equ 314h
AOMB3    equ 318h
AOMB4    equ 31ch
AFIFO    equ 320h
AMWAR    equ 324h
APTA     equ 328h
APTD     equ 32ch
AMRAR    equ 330h
AMBEF    equ 334h
AINT     equ 338h
AGCSTS   equ 33ch
AMWTCR   equ 718h
AMRTCR   equ 71ch


	.LIST
